Loading...
Searching...
No Matches
DsamDevice.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2022 Raritan Inc. All rights reserved.
*/
#ifndef __DSAMDEVICE_IDL__
#define __DSAMDEVICE_IDL__
#include <DsamPort.idl>
module dsam {
/** DSAM device interface */
interface DsamDevice {
/** Success code */
constant int SUCCESS = 0;
/** Firmware version */
structure FirmwareVersion {
int major; ///< major version number
int minor; ///< minor version number
};
/** DSAm device info */
structure Info {
int dsamNumber; ///< DSAM number (1-based)
string serialNumber; ///< DSAM serial number
int portCount; ///< Number of ports on the DSAM
int hardwareVersion; ///< Hardware version number
FirmwareVersion firmwareVersion; ///< Firmware version
};
/**
* Get DSAM device info
*
* @return DSAM device info
*/
Info getInfo();
/**
* Retrieve the current DSAM ports.
*
* @return Map with DSAM ports. Index is the port number (1-based).
*/
map<int, DsamPort> getPorts();
/**
* Start firmware update on the DSAM device.
*
* @return SUCCESS if no error occured
*/
int startFirmwareUpdate();
};
}
#endif // __DSAMDEVICE_IDL__
dsam::DsamDevice
DSAM device interface.
Definition DsamDevice.idl:14
dsam::DsamDevice::getPorts
map< int, DsamPort > getPorts()
Retrieve the current DSAM ports.
dsam::DsamDevice::getInfo
Info getInfo()
Get DSAM device info.
dsam::DsamDevice::SUCCESS
constant int SUCCESS
Success code.
Definition DsamDevice.idl:17
dsam::DsamDevice::startFirmwareUpdate
int startFirmwareUpdate()
Start firmware update on the DSAM device.
dsam::DsamDevice::FirmwareVersion
Firmware version.
Definition DsamDevice.idl:20
dsam::DsamDevice::FirmwareVersion::major
int major
major version number
Definition DsamDevice.idl:21
dsam::DsamDevice::FirmwareVersion::minor
int minor
minor version number
Definition DsamDevice.idl:22
dsam::DsamDevice::Info
DSAm device info.
Definition DsamDevice.idl:26
dsam::DsamDevice::Info::firmwareVersion
FirmwareVersion firmwareVersion
Firmware version.
Definition DsamDevice.idl:31
dsam::DsamDevice::Info::serialNumber
string serialNumber
DSAM serial number.
Definition DsamDevice.idl:28
dsam::DsamDevice::Info::portCount
int portCount
Number of ports on the DSAM.
Definition DsamDevice.idl:29
dsam::DsamDevice::Info::hardwareVersion
int hardwareVersion
Hardware version number.
Definition DsamDevice.idl:30
dsam::DsamDevice::Info::dsamNumber
int dsamNumber
DSAM number (1-based)
Definition DsamDevice.idl:27